package com.ibiz.core.external.dao;

import com.ibiz.core.external.filter.SYXBJSearchContext;
import com.ibiz.core.external.dao.po.ISYXBJTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ISYXBJTableDAO {

    ISYXBJTable createSyxbjTable();

    boolean remove(String syxbjid);

    boolean update(ISYXBJTable et);

    boolean create(ISYXBJTable et);

    ISYXBJTable get(String syxbjid);

    ISYXBJTable get(ISYXBJTable et);


    List<ISYXBJTable> searchDefault(SYXBJSearchContext context);
}
